#pragma once

#include <ostream>
#include <istream>

using namespace std;

class V3 {
  float xyz[3];
public:
  V3() {};
  V3(float x, float y, float z);
  V3 operator+(V3 v1);
  V3 operator-(V3 v1);
  V3 operator/(float sc);
  V3 operator*(float sc);
  float operator*(V3 v1);
  V3 operator^(V3 v1);
  float& operator[](int i);
  friend ostream& operator<<(ostream& ostr, V3 v);
  friend istream& operator>>(istream& istr, V3& v);
};